Bug 113745 - Deletion of Home Folder gives 'unexpected error'
Deletion of Home Folder gives 'unexpected error'
Status: CLOSED CANTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS-usability (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 18:46 EST by Lindsay Ould
Modified: 2008-01-03 15:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 15:05:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error report for Bug 113745 (49.50 KB, application/msword)
2004-01-16 18:48 EST, Lindsay Ould
no flags Details

  None (edit)
Description Lindsay Ould 2004-01-16 18:46:20 EST
Description of problem:created folder named 'removal' - selected it 
as home folder and then tried to delete folder - got unexpected error


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1.logon as admin
create new folder 'removal'
2.assign as home folder
3.log out
4.log in (admin)
5.select parent folder to 'removal'  
6.select delete link for 'removal'
Actual results:
unexpected error - 

Expected results:


Additional info:
Comment 1 Lindsay Ould 2004-01-16 18:48:35 EST
Created attachment 97068 [details]
Error report for Bug 113745
Comment 2 Scott Seago 2004-01-16 19:05:43 EST
The actual bug you're seeing has already been resolved which related
to either clicking delete or clicking the item title in the folder list.

However, with that fix there's still currently a problem. Actually,
I'm failing to delete any content item, not just folders.
This may be a recently-introduced bug on the tip. We'll need to
confirm first that item deletion works on the tip. a partial stack
trace I'm getting w/ item deletion:

com.redhat.persistence.engine.rdbms.RDBMSEngine$4: ORA-01407: cannot
update ("CI"."CMS_ITEMS"."ITEM_ID") to NULL

	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Compiled
Code))
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java(Compiled
Code))
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java(Compiled
Code))
	at com.redhat.persistence.Session.flushInternal(Session.java(Compiled
Code))
	at com.redhat.persistence.Session.flush(Session.java(Compiled Code))
	at
com.arsdigita.persistence.DataObjectImpl.delete(DataObjectImpl.java:380)
	at com.arsdigita.domain.DomainObject.delete(DomainObject.java:324)
	at
com.arsdigita.cms.ui.folder.FolderBrowser$ItemDeleter.cellSelected(FolderBrowser.java:463)

Rafi, this may be a persistence issue. Why is item.delete() trying to
set the primary key to null instead of removing the row?
Comment 3 Scott Seago 2004-01-16 19:06:22 EST
Randy, could this be related to your audit trail edits?
Comment 4 Scott Seago 2004-01-17 15:27:37 EST
This is now fixed on the staging server, checked into the aplaws-w3
branch, to be integrated on dev next week.
Comment 5 David Lawrence 2006-07-17 23:13:07 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.